package models

type HappyOrchardUserWatersLog struct {
	Id              int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	Uid             string `json:"uid" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	WaterNums       int    `json:"water_nums" xorm:"not null default 0 comment('水滴数') INT(11)"`
	Title           string `json:"title" xorm:"not null default '' comment('名称') CHAR(50)"`
	Kind            int    `json:"kind" xorm:"not null default 1 comment('类型(1:增加 2:减少)') TINYINT(1)"`
	BeforeWaterNums int    `json:"before_water_nums" xorm:"not null default 0 comment('之前水滴数') INT(11)"`
	AfterWaterNums  int    `json:"after_water_nums" xorm:"not null default 0 comment('之后水滴数') INT(11)"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
